@import "@components/Shared/common.scss";

.navbar {
  z-index: 250;
  position:relative;
  height: 50px;
  background-color: $white-color;
  box-sizing: border-box;
  padding: 10px 15px;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-items: flex-end;
  gap: 15px;
  border-bottom: 2px rgba(0, 0, 0, 0.1) solid;
  &__right-elements {
    height: 100%;
    flex: 1;
    display: flex;
    gap: 15px;
    justify-content: flex-end;
  }

  &__registration-button {
    @include white-button;
    float: right;
    width: fit-content;
    padding: 15px;
    height: 100%;
  }

  &__exit-button {
    border-radius: 12px;
    padding-top: 5px;
    padding-right: 5px;
    padding-left: 5px;
    font-weight: 700;
    background-color: $main-color;
    color: $white-color;
    border: none;
    float: right;
    width: fit-content;
    height: calc(100% - 5px);
    margin-right: 15px;
  }

  &__left-button {
    @include main-color-button;
    width: fit-content;
    padding: 15px;
    height: 100%;
  }
}

@media (max-width: 760px) {
  #navbar {
    position: fixed;
    top: 0;
    z-index: 999;
    width: 100vw;
  }

  #root {
    margin-top: 50px;
  }

  .navbar__exit-button {
    margin-right: 15px;
  }
}
